<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: src Directory Reference</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">src Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:_behaviours_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_behaviours_8h.html">Behaviours.h</a> <a href="_behaviours_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_behaviours_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Functionality for block behaviours. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_button_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_button_8h.html">Button.h</a> <a href="_button_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_button_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Event-driven button functionality. This file contains a class for an event-driven button input. It is based on the <a href="https://github.com/bxparks/AceButton">AceButton Library by bxparks</a>. The implimentation here is configured for esp822 boards and simplified. It is however, far less configurable. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_button_behaviours_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_button_behaviours_8h.html">ButtonBehaviours.h</a> <a href="_button_behaviours_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_button_behaviours_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Behaviours to communicate button events to a server via mqtt. A lot of these input behaviours are quite repeative and could be replaced by a master function with some extra parameters, but I liked the specificity here for legibility. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_comms_behaviours_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_comms_behaviours_8h.html">CommsBehaviours.h</a> <a href="_comms_behaviours_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_comms_behaviours_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Behaviours that send useful information to a server or other blocks. These are a bit weird and experimental but quite useful when trying to use blocks to interact with a web app (for example). <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_l_e_d_behaviours_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_l_e_d_behaviours_8h.html">LEDBehaviours.h</a> <a href="_l_e_d_behaviours_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_l_e_d_behaviours_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Behaviours to control a neopixel ring. This should be extended with stable behaviours that are developed in the future. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_name_dictionary_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_name_dictionary_8h.html">NameDictionary.h</a> <a href="_name_dictionary_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_name_dictionary_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Block auto naming functionality. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_potentiometer_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_potentiometer_8h.html">Potentiometer.h</a> <a href="_potentiometer_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_potentiometer_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Slider and rotary potentiometer functionality. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_potentiometer_behaviours_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_potentiometer_behaviours_8h.html">PotentiometerBehaviours.h</a> <a href="_potentiometer_behaviours_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_potentiometer_behaviours_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Behaviours to communicate potentiometer events to a server via mqtt. A lot of these input behaviours are quite repeative and could be replaced by a master function with some extra parameters, but I liked the specificity here for legibility. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_rotary_encoder_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_rotary_encoder_8h.html">RotaryEncoder.h</a> <a href="_rotary_encoder_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_rotary_encoder_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Event-driven rotary encoder functionality. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_rotary_encoder_behaviours_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_rotary_encoder_behaviours_8h.html">RotaryEncoderBehaviours.h</a> <a href="_rotary_encoder_behaviours_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_rotary_encoder_behaviours_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Behaviours to communicate rotary encoder events to a server via mqtt. A lot of these input behaviours are quite repeative and could be replaced by a master function with some extra parameters, but I liked the specificity here for legibility. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_servo_behaviours_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_servo_behaviours_8h.html">ServoBehaviours.h</a> <a href="_servo_behaviours_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_servo_behaviours_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Behaviours to control a servo motor. This should be extended with stable behaviours that are developed in the future. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_viz_blocks_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_viz_blocks_8h.html">VizBlocks.h</a> <a href="_viz_blocks_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_viz_blocks_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Contains everything you need to get started. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
